/* Copyright 2009 Palm, Inc.  All rights reserved. */

EndOneAssistant = Class.create({
		
	initialize: function() {
		
	},
	
	setup: function() {
		this.controller.enableFullScreenMode(true);
		document.body.toggleClassName("end-wallpaper");
		var palmText = $L("Your new Palm #{model}").interpolate({
					model: Mojo.Environment.DeviceInfo.modelName
		});
		this.controller.get("palmPre").update(palmText);
		this.timer = setTimeout(this.showHelp.bind(this), 3000);
	},
	
	handleCommand : function(event) {
		if (event.type == Mojo.Event.back) {
			event.stop();
            event.preventDefault();
            event.stopPropagation();
		}
  	},
	
	showHelp: function () {
		Mojo.Controller.stageController.swapScene({name:"end-two",transition:Mojo.Transition.crossFade});
	}
});
